Обход ограничений безопасности в OpenSSL

Дата публикации:
18.03.2010
Всего просмотров:
1783
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:7.5/Temporal:5.5
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenSSL 0.9.x
Уязвимые версии: OpenSSL версии до 0.9.8m

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за того, что функция bn_wexpand() в файлах crypto/bn/bn_div.c, crypto/bn/bn_gf2m.c, crypto/ec/ec2_smpl.c и engines/e_ubsec.c не проверяет нулевое возвращаемое значение. Подробности уязвимости не сообщаются.

URL производителя: www.openssl.org

Решение: Установите последнюю версию 0.9.8m с сайта производителя.

Ссылки: http://slackware.com/security/viewer.php?l=slackware-security&y=2010&m=slackware-security.663049
http://marc.info/?l=openssl-cvs&m=126692180606861&w=2
http://marc.info/?l=openssl-cvs&m=126692159706582&w=2
http://marc.info/?l=openssl-cvs&m=126692170906712&w=2

или введите имя

CAPTCHA